/*
 * Remote Clip synchronized clipboard
 * Copyright (C) 1999-2001 Carnegie Mellon University
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Homepage: http://www.cs.cmu.edu/~rcm/lapis/
 */

public interface UI {
    //
    // status and error messages
    //
    public void reportStatus (String message);

    public void setHourglass (boolean enabled);

    public void popupError (String message);

    public void setFingerprint (String message);

    //
    // group change event handler
    //
    public void groupChanged ();

    //
    // current MIME type on clipboard
    //
    public void setMimeType (String type);

    //
    // asking user to authorize incoming connections
    //

    public boolean authorize (String message);

}

